
import _gtkscintilla
import gtk; _gtk = gtk; del gtk

import GTKSCINTILLA

class GtkScintilla(_gtk.GtkBin):
    get_type = _gtkscintilla.gtk_scintilla_get_type
    def __init__(self, _obj=None):
        if _obj: self._o = _obj; return
        self._o = _gtkscintilla.gtk_scintilla_new()

    def add_text(self, length, text):
        _gtkscintilla.gtk_scintilla_add_text(self._o, length, text)
    
    def set_text(self, text):
        _gtkscintilla.gtk_scintilla_set_text(self._o, text)
    
    def get_line(self, line):
        return _gtkscintilla.gtk_scintilla_get_line(self._o, line)
    
    def get_text(self):
        return _gtkscintilla.gtk_scintilla_get_text(self._o)

    def get_sel_text(self):
        return _gtkscintilla.gtk_scintilla_get_sel_text(self._o)
    
    def find_text(self, flags, string, chrg):
        return _gtkscintilla.gtk_scintilla_find_text(self._o, flags, string, chrg)

    def insert_text(self, pos, text):
        _gtkscintilla.gtk_scintilla_insert_text(self._o, pos, text)

    def clear_all(self):
        _gtkscintilla.gtk_scintilla_clear_all(self._o)

    def clear_document_style(self):
        _gtkscintilla.gtk_scintilla_clear_document_style(self._o)

    def get_length(self):
        return _gtkscintilla.gtk_scintilla_get_length(self._o)

    def get_char_at(self, pos):
        return _gtkscintilla.gtk_scintilla_get_char_at(self._o, pos)

    def get_current_pos(self):
        return _gtkscintilla.gtk_scintilla_get_current_pos(self._o)

    def get_anchor(self):
        return _gtkscintilla.gtk_scintilla_get_anchor(self._o)

    def get_style_at(self, pos):
        return _gtkscintilla.gtk_scintilla_get_style_at(self._o, pos)

    def redo(self):
        _gtkscintilla.gtk_scintilla_redo(self._o)

    def set_undo_collection(self, collect_undo):
        _gtkscintilla.gtk_scintilla_set_undo_collection(self._o, collect_undo)

    def select_all(self):
        _gtkscintilla.gtk_scintilla_select_all(self._o)

    def set_save_point(self):
        _gtkscintilla.gtk_scintilla_set_save_point(self._o)

    def can_redo(self):
        return _gtkscintilla.gtk_scintilla_can_redo(self._o)

    def marker_line_from_handle(self, handle):
        return _gtkscintilla.gtk_scintilla_marker_line_from_handle(self._o, handle)

    def marker_delete_handle(self, handle):
        _gtkscintilla.gtk_scintilla_marker_delete_handle(self._o, handle)

    def get_undo_collection(self):
        return _gtkscintilla.gtk_scintilla_get_undo_collection(self._o)

    def get_view_ws(self):
        return _gtkscintilla.gtk_scintilla_get_view_ws(self._o)

    def set_view_ws(self, view_ws):
        _gtkscintilla.gtk_scintilla_set_view_ws(self._o, view_ws)

    def position_from_point(self, x, y):
        return _gtkscintilla.gtk_scintilla_position_from_point(self._o, x, y)

    def position_from_point_close(self, x, y):
        return _gtkscintilla.gtk_scintilla_position_from_point_close(self._o, x, y)

    def goto_line(self, line):
        _gtkscintilla.gtk_scintilla_goto_line(self._o, line)

    def goto_pos(self, pos):
        _gtkscintilla.gtk_scintilla_goto_pos(self._o, pos)

    def set_anchor(self, pos_anchor):
        _gtkscintilla.gtk_scintilla_set_anchor(self._o, pos_anchor)

    def get_cur_line(self, length, text):
        return _gtkscintilla.gtk_scintilla_get_cur_line(self._o, length, text)

    def get_end_styled(self):
        return _gtkscintilla.gtk_scintilla_get_end_styled(self._o)

    def convert_eols(self, eol_mode):
        _gtkscintilla.gtk_scintilla_convert_eols(self._o, eol_mode)

    def get_eol_mode(self):
        return _gtkscintilla.gtk_scintilla_get_eol_mode(self._o)

    def set_eol_mode(self, eol_mode):
        _gtkscintilla.gtk_scintilla_set_eol_mode(self._o, eol_mode)

    def start_styling(self, pos, mask):
        _gtkscintilla.gtk_scintilla_start_styling(self._o, pos, mask)

    def set_styling(self, length, style):
        _gtkscintilla.gtk_scintilla_set_styling(self._o, length, style)

    def get_buffered_draw(self):
        return _gtkscintilla.gtk_scintilla_get_buffered_draw(self._o)

    def set_buffered_draw(self, buffered):
        _gtkscintilla.gtk_scintilla_set_buffered_draw(self._o, buffered)

    def set_tab_width(self, tab_width):
        _gtkscintilla.gtk_scintilla_set_tab_width(self._o, tab_width)

    def get_tab_width(self):
        return _gtkscintilla.gtk_scintilla_get_tab_width(self._o)

    def set_code_page(self, code_page):
        _gtkscintilla.gtk_scintilla_set_code_page(self._o, code_page)

    def set_use_palette(self, use_palette):
        _gtkscintilla.gtk_scintilla_set_use_palette(self._o, use_palette)

    def marker_define(self, marker_number, marker_symbol):
        _gtkscintilla.gtk_scintilla_marker_define(self._o, marker_number, marker_symbol)

    def marker_set_fore(self, marker_number, fore):
        _gtkscintilla.gtk_scintilla_marker_set_fore(self._o, marker_number, fore)

    def marker_set_back(self, marker_number, back):
        _gtkscintilla.gtk_scintilla_marker_set_back(self._o, marker_number, back)

    def marker_add(self, line, marker_number):
        return _gtkscintilla.gtk_scintilla_marker_add(self._o, line, marker_number)

    def marker_delete(self, line, marker_number):
        _gtkscintilla.gtk_scintilla_marker_delete(self._o, line, marker_number)

    def marker_delete_all(self, marker_number):
        _gtkscintilla.gtk_scintilla_marker_delete_all(self._o, marker_number)

    def marker_get(self, line):
        return _gtkscintilla.gtk_scintilla_marker_get(self._o, line)

    def marker_next(self, line_start, marker_mask):
        return _gtkscintilla.gtk_scintilla_marker_next(self._o, line_start, marker_mask)

    def marker_previous(self, line_start, marker_mask):
        return _gtkscintilla.gtk_scintilla_marker_previous(self._o, line_start, marker_mask)

    def set_margin_type_n(self, margin, margin_type):
        _gtkscintilla.gtk_scintilla_set_margin_type_n(self._o, margin, margin_type)

    def get_margin_type_n(self, margin):
        return _gtkscintilla.gtk_scintilla_get_margin_type_n(self._o, margin)

    def set_margin_width_n(self, margin, pixel_width):
        _gtkscintilla.gtk_scintilla_set_margin_width_n(self._o, margin, pixel_width)

    def get_margin_width_n(self, margin):
        return _gtkscintilla.gtk_scintilla_get_margin_width_n(self._o, margin)

    def set_margin_mask_n(self, margin, mask):
        _gtkscintilla.gtk_scintilla_set_margin_mask_n(self._o, margin, mask)

    def get_margin_mask_n(self, margin):
        return _gtkscintilla.gtk_scintilla_get_margin_mask_n(self._o, margin)

    def set_margin_sensitive_n(self, margin, sensitive):
        _gtkscintilla.gtk_scintilla_set_margin_sensitive_n(self._o, margin, sensitive)

    def get_margin_sensitive_n(self, margin):
        return _gtkscintilla.gtk_scintilla_get_margin_sensitive_n(self._o, margin)

    def style_clear_all(self):
        _gtkscintilla.gtk_scintilla_style_clear_all(self._o)

    def style_set_fore(self, style, fore):
        _gtkscintilla.gtk_scintilla_style_set_fore(self._o, style, fore)

    def style_set_back(self, style, back):
        _gtkscintilla.gtk_scintilla_style_set_back(self._o, style, back)

    def style_set_bold(self, style, bold):
        _gtkscintilla.gtk_scintilla_style_set_bold(self._o, style, bold)

    def style_set_italic(self, style, italic):
        _gtkscintilla.gtk_scintilla_style_set_italic(self._o, style, italic)

    def style_set_size(self, style, size_points):
        _gtkscintilla.gtk_scintilla_style_set_size(self._o, style, size_points)

    def style_set_font(self, style, font_name):
        _gtkscintilla.gtk_scintilla_style_set_font(self._o, style, font_name)

    def style_set_eol_filled(self, style, filled):
        _gtkscintilla.gtk_scintilla_style_set_eol_filled(self._o, style, filled)

    def style_reset_default(self):
        _gtkscintilla.gtk_scintilla_style_reset_default(self._o)

    def style_set_underline(self, style, underline):
        _gtkscintilla.gtk_scintilla_style_set_underline(self._o, style, underline)

    def style_set_case(self, style, case_force):
        _gtkscintilla.gtk_scintilla_style_set_case(self._o, style, case_force)

    def style_set_character_set(self, style, character_set):
        _gtkscintilla.gtk_scintilla_style_set_character_set(self._o, style, character_set)

    def set_sel_fore(self, use_setting, fore):
        _gtkscintilla.gtk_scintilla_set_sel_fore(self._o, use_setting, fore)

    def set_sel_back(self, use_setting, back):
        _gtkscintilla.gtk_scintilla_set_sel_back(self._o, use_setting, back)

    def set_caret_fore(self, fore):
        _gtkscintilla.gtk_scintilla_set_caret_fore(self._o, fore)

    def clear_all_cmd_keys(self):
        _gtkscintilla.gtk_scintilla_clear_all_cmd_keys(self._o)

    def set_styling_ex(self, length, styles):
        _gtkscintilla.gtk_scintilla_set_styling_ex(self._o, length, styles)

    def style_set_visible(self, style, visible):
        _gtkscintilla.gtk_scintilla_style_set_visible(self._o, style, visible)

    def get_caret_period(self):
        return _gtkscintilla.gtk_scintilla_get_caret_period(self._o)

    def set_caret_period(self, period_milliseconds):
        _gtkscintilla.gtk_scintilla_set_caret_period(self._o, period_milliseconds)

    def set_word_chars(self, characters):
        _gtkscintilla.gtk_scintilla_set_word_chars(self._o, characters)

    def begin_undo_action(self):
        _gtkscintilla.gtk_scintilla_begin_undo_action(self._o)

    def end_undo_action(self):
        _gtkscintilla.gtk_scintilla_end_undo_action(self._o)

    def indic_set_style(self, indic, style):
        _gtkscintilla.gtk_scintilla_indic_set_style(self._o, indic, style)

    def indic_get_style(self, indic):
        return _gtkscintilla.gtk_scintilla_indic_get_style(self._o, indic)

    def indic_set_fore(self, indic, fore):
        _gtkscintilla.gtk_scintilla_indic_set_fore(self._o, indic, fore)

    def indic_get_fore(self, indic):
        return _gtkscintilla.gtk_scintilla_indic_get_fore(self._o, indic)

    def set_style_bits(self, bits):
        _gtkscintilla.gtk_scintilla_set_style_bits(self._o, bits)

    def get_style_bits(self):
        return _gtkscintilla.gtk_scintilla_get_style_bits(self._o)

    def set_line_state(self, line, state):
        _gtkscintilla.gtk_scintilla_set_line_state(self._o, line, state)

    def get_line_state(self, line):
        return _gtkscintilla.gtk_scintilla_get_line_state(self._o, line)

    def get_max_line_state(self):
        return _gtkscintilla.gtk_scintilla_get_max_line_state(self._o)

    def get_caret_line_visible(self):
        return _gtkscintilla.gtk_scintilla_get_caret_line_visible(self._o)

    def set_caret_line_visible(self, show):
        _gtkscintilla.gtk_scintilla_set_caret_line_visible(self._o, show)

    def get_caret_line_back(self):
        return _gtkscintilla.gtk_scintilla_get_caret_line_back(self._o)

    def set_caret_line_back(self, back):
        _gtkscintilla.gtk_scintilla_set_caret_line_back(self._o, back)

    def style_set_changeable(self, style, changeable):
        _gtkscintilla.gtk_scintilla_style_set_changeable(self._o, style, changeable)

    def autoc_show(self, len_entered, item_list):
        _gtkscintilla.gtk_scintilla_autoc_show(self._o, len_entered, item_list)

    def autoc_cancel(self):
        _gtkscintilla.gtk_scintilla_autoc_cancel(self._o)

    def autoc_active(self):
        return _gtkscintilla.gtk_scintilla_autoc_active(self._o)

    def autoc_pos_start(self):
        return _gtkscintilla.gtk_scintilla_autoc_pos_start(self._o)

    def autoc_complete(self):
        _gtkscintilla.gtk_scintilla_autoc_complete(self._o)

    def autoc_stops(self, character_set):
        _gtkscintilla.gtk_scintilla_autoc_stops(self._o, character_set)

    def autoc_set_separator(self, separator_character):
        _gtkscintilla.gtk_scintilla_autoc_set_separator(self._o, separator_character)

    def autoc_get_separator(self):
        return _gtkscintilla.gtk_scintilla_autoc_get_separator(self._o)

    def autoc_select(self, text):
        _gtkscintilla.gtk_scintilla_autoc_select(self._o, text)

    def autoc_set_cancel_at_start(self, cancel):
        _gtkscintilla.gtk_scintilla_autoc_set_cancel_at_start(self._o, cancel)

    def autoc_get_cancel_at_start(self):
        return _gtkscintilla.gtk_scintilla_autoc_get_cancel_at_start(self._o)

    def autoc_set_fill_ups(self, character_set):
        _gtkscintilla.gtk_scintilla_autoc_set_fill_ups(self._o, character_set)

    def autoc_set_choose_single(self, choose_single):
        _gtkscintilla.gtk_scintilla_autoc_set_choose_single(self._o, choose_single)

    def autoc_get_choose_single(self):
        return _gtkscintilla.gtk_scintilla_autoc_get_choose_single(self._o)

    def autoc_set_ignore_case(self, ignore_case):
        _gtkscintilla.gtk_scintilla_autoc_set_ignore_case(self._o, ignore_case)

    def autoc_get_ignore_case(self):
        return _gtkscintilla.gtk_scintilla_autoc_get_ignore_case(self._o)

    def user_list_show(self, list_type, item_list):
        _gtkscintilla.gtk_scintilla_user_list_show(self._o, list_type, item_list)

    def autoc_set_auto_hide(self, auto_hide):
        _gtkscintilla.gtk_scintilla_autoc_set_auto_hide(self._o, auto_hide)

    def autoc_get_auto_hide(self):
        return _gtkscintilla.gtk_scintilla_autoc_get_auto_hide(self._o)

    def autoc_set_drop_rest_of_word(self, drop_rest_of_word):
        _gtkscintilla.gtk_scintilla_autoc_set_drop_rest_of_word(self._o, drop_rest_of_word)

    def autoc_get_drop_rest_of_word(self):
        return _gtkscintilla.gtk_scintilla_autoc_get_drop_rest_of_word(self._o)

    def set_indent(self, indent_size):
        _gtkscintilla.gtk_scintilla_set_indent(self._o, indent_size)

    def get_indent(self):
        return _gtkscintilla.gtk_scintilla_get_indent(self._o)

    def set_use_tabs(self, use_tabs):
        _gtkscintilla.gtk_scintilla_set_use_tabs(self._o, use_tabs)

    def get_use_tabs(self):
        return _gtkscintilla.gtk_scintilla_get_use_tabs(self._o)

    def set_line_indentation(self, line, indent_size):
        _gtkscintilla.gtk_scintilla_set_line_indentation(self._o, line, indent_size)

    def get_line_indentation(self, line):
        return _gtkscintilla.gtk_scintilla_get_line_indentation(self._o, line)

    def get_line_indent_position(self, line):
        return _gtkscintilla.gtk_scintilla_get_line_indent_position(self._o, line)

    def get_column(self, pos):
        return _gtkscintilla.gtk_scintilla_get_column(self._o, pos)

    def set_h_scroll_bar(self, show):
        _gtkscintilla.gtk_scintilla_set_h_scroll_bar(self._o, show)

    def get_h_scroll_bar(self):
        return _gtkscintilla.gtk_scintilla_get_h_scroll_bar(self._o)

    def set_indentation_guides(self, show):
        _gtkscintilla.gtk_scintilla_set_indentation_guides(self._o, show)

    def get_indentation_guides(self):
        return _gtkscintilla.gtk_scintilla_get_indentation_guides(self._o)

    def set_highlight_guide(self, column):
        _gtkscintilla.gtk_scintilla_set_highlight_guide(self._o, column)

    def get_highlight_guide(self):
        return _gtkscintilla.gtk_scintilla_get_highlight_guide(self._o)

    def get_line_end_position(self, line):
        return _gtkscintilla.gtk_scintilla_get_line_end_position(self._o, line)

    def get_code_page(self):
        return _gtkscintilla.gtk_scintilla_get_code_page(self._o)

    def get_caret_fore(self):
        return _gtkscintilla.gtk_scintilla_get_caret_fore(self._o)

    def get_use_palette(self):
        return _gtkscintilla.gtk_scintilla_get_use_palette(self._o)

    def get_read_only(self):
        return _gtkscintilla.gtk_scintilla_get_read_only(self._o)

    def set_current_pos(self, pos):
        _gtkscintilla.gtk_scintilla_set_current_pos(self._o, pos)

    def set_selection_start(self, pos):
        _gtkscintilla.gtk_scintilla_set_selection_start(self._o, pos)

    def get_selection_start(self):
        return _gtkscintilla.gtk_scintilla_get_selection_start(self._o)

    def set_selection_end(self, pos):
        _gtkscintilla.gtk_scintilla_set_selection_end(self._o, pos)

    def get_selection_end(self):
        return _gtkscintilla.gtk_scintilla_get_selection_end(self._o)

    def set_print_magnification(self, magnification):
        _gtkscintilla.gtk_scintilla_set_print_magnification(self._o, magnification)

    def get_print_magnification(self):
        return _gtkscintilla.gtk_scintilla_get_print_magnification(self._o)

    def set_print_colour_mode(self, mode):
        _gtkscintilla.gtk_scintilla_set_print_colour_mode(self._o, mode)

    def get_print_colour_mode(self):
        return _gtkscintilla.gtk_scintilla_get_print_colour_mode(self._o)

    def get_first_visible_line(self):
        return _gtkscintilla.gtk_scintilla_get_first_visible_line(self._o)

    def get_line_count(self):
        return _gtkscintilla.gtk_scintilla_get_line_count(self._o)

    def set_margin_left(self, pixel_width):
        _gtkscintilla.gtk_scintilla_set_margin_left(self._o, pixel_width)

    def get_margin_left(self):
        return _gtkscintilla.gtk_scintilla_get_margin_left(self._o)

    def set_margin_right(self, pixel_width):
        _gtkscintilla.gtk_scintilla_set_margin_right(self._o, pixel_width)

    def get_margin_right(self):
        return _gtkscintilla.gtk_scintilla_get_margin_right(self._o)

    def get_modify(self):
        return _gtkscintilla.gtk_scintilla_get_modify(self._o)

    def set_sel(self, start, end):
        _gtkscintilla.gtk_scintilla_set_sel(self._o, start, end)

    def hide_selection(self, normal):
        _gtkscintilla.gtk_scintilla_hide_selection(self._o, normal)

    def point_x_from_position(self, pos):
        return _gtkscintilla.gtk_scintilla_point_x_from_position(self._o, pos)

    def point_y_from_position(self, pos):
        return _gtkscintilla.gtk_scintilla_point_y_from_position(self._o, pos)

    def line_from_position(self, pos):
        return _gtkscintilla.gtk_scintilla_line_from_position(self._o, pos)

    def position_from_line(self, line):
        return _gtkscintilla.gtk_scintilla_position_from_line(self._o, line)

    def line_scroll(self, columns, lines):
        _gtkscintilla.gtk_scintilla_line_scroll(self._o, columns, lines)

    def scroll_caret(self):
        _gtkscintilla.gtk_scintilla_scroll_caret(self._o)

    def replace_sel(self, text):
        _gtkscintilla.gtk_scintilla_replace_sel(self._o, text)

    def set_read_only(self, read_only):
        _gtkscintilla.gtk_scintilla_set_read_only(self._o, read_only)

    def null(self):
        _gtkscintilla.gtk_scintilla_null(self._o)

    def can_paste(self):
        return _gtkscintilla.gtk_scintilla_can_paste(self._o)

    def can_undo(self):
        return _gtkscintilla.gtk_scintilla_can_undo(self._o)

    def empty_undo_buffer(self):
        _gtkscintilla.gtk_scintilla_empty_undo_buffer(self._o)

    def undo(self):
        _gtkscintilla.gtk_scintilla_undo(self._o)

    def cut(self):
        _gtkscintilla.gtk_scintilla_cut(self._o)

    def copy(self):
        _gtkscintilla.gtk_scintilla_copy(self._o)

    def paste(self):
        _gtkscintilla.gtk_scintilla_paste(self._o)

    def clear(self):
        _gtkscintilla.gtk_scintilla_clear(self._o)

    def get_text_length(self):
        return _gtkscintilla.gtk_scintilla_get_text_length(self._o)

    def get_direct_function(self):
        return _gtkscintilla.gtk_scintilla_get_direct_function(self._o)

    def get_direct_pointer(self):
        return _gtkscintilla.gtk_scintilla_get_direct_pointer(self._o)

    def set_overtype(self, overtype):
        _gtkscintilla.gtk_scintilla_set_overtype(self._o, overtype)

    def get_overtype(self):
        return _gtkscintilla.gtk_scintilla_get_overtype(self._o)

    def set_caret_width(self, pixel_width):
        _gtkscintilla.gtk_scintilla_set_caret_width(self._o, pixel_width)

    def get_caret_width(self):
        return _gtkscintilla.gtk_scintilla_get_caret_width(self._o)

    def set_target_start(self, pos):
        _gtkscintilla.gtk_scintilla_set_target_start(self._o, pos)

    def get_target_start(self):
        return _gtkscintilla.gtk_scintilla_get_target_start(self._o)

    def set_target_end(self, pos):
        _gtkscintilla.gtk_scintilla_set_target_end(self._o, pos)

    def get_target_end(self):
        return _gtkscintilla.gtk_scintilla_get_target_end(self._o)

    def replace_target(self, length, text):
        return _gtkscintilla.gtk_scintilla_replace_target(self._o, length, text)

    def replace_target_re(self, length, text):
        return _gtkscintilla.gtk_scintilla_replace_target_re(self._o, length, text)

    def search_in_target(self, length, text):
        return _gtkscintilla.gtk_scintilla_search_in_target(self._o, length, text)

    def set_search_flags(self, flags):
        _gtkscintilla.gtk_scintilla_set_search_flags(self._o, flags)

    def get_search_flags(self):
        return _gtkscintilla.gtk_scintilla_get_search_flags(self._o)

    def call_tip_show(self, pos, definition):
        _gtkscintilla.gtk_scintilla_call_tip_show(self._o, pos, definition)

    def call_tip_cancel(self):
        _gtkscintilla.gtk_scintilla_call_tip_cancel(self._o)

    def call_tip_active(self):
        return _gtkscintilla.gtk_scintilla_call_tip_active(self._o)

    def call_tip_pos_start(self):
        return _gtkscintilla.gtk_scintilla_call_tip_pos_start(self._o)

    def call_tip_set_hlt(self, start, end):
        _gtkscintilla.gtk_scintilla_call_tip_set_hlt(self._o, start, end)

    def call_tip_set_back(self, back):
        _gtkscintilla.gtk_scintilla_call_tip_set_back(self._o, back)

    def visible_from_doc_line(self, line):
        return _gtkscintilla.gtk_scintilla_visible_from_doc_line(self._o, line)

    def doc_line_from_visible(self, line_display):
        return _gtkscintilla.gtk_scintilla_doc_line_from_visible(self._o, line_display)

    def set_fold_level(self, line, level):
        _gtkscintilla.gtk_scintilla_set_fold_level(self._o, line, level)

    def get_fold_level(self, line):
        return _gtkscintilla.gtk_scintilla_get_fold_level(self._o, line)

    def get_last_child(self, line, level):
        return _gtkscintilla.gtk_scintilla_get_last_child(self._o, line, level)

    def get_fold_parent(self, line):
        return _gtkscintilla.gtk_scintilla_get_fold_parent(self._o, line)

    def show_lines(self, line_start, line_end):
        _gtkscintilla.gtk_scintilla_show_lines(self._o, line_start, line_end)

    def hide_lines(self, line_start, line_end):
        _gtkscintilla.gtk_scintilla_hide_lines(self._o, line_start, line_end)

    def get_line_visible(self, line):
        return _gtkscintilla.gtk_scintilla_get_line_visible(self._o, line)

    def set_fold_expanded(self, line, expanded):
        _gtkscintilla.gtk_scintilla_set_fold_expanded(self._o, line, expanded)

    def get_fold_expanded(self, line):
        return _gtkscintilla.gtk_scintilla_get_fold_expanded(self._o, line)

    def toggle_fold(self, line):
        _gtkscintilla.gtk_scintilla_toggle_fold(self._o, line)

    def ensure_visible(self, line):
        _gtkscintilla.gtk_scintilla_ensure_visible(self._o, line)

    def set_fold_flags(self, flags):
        _gtkscintilla.gtk_scintilla_set_fold_flags(self._o, flags)

    def ensure_visible_enforce_policy(self, line):
        _gtkscintilla.gtk_scintilla_ensure_visible_enforce_policy(self._o, line)

    def set_tab_indents(self, tab_indents):
        _gtkscintilla.gtk_scintilla_set_tab_indents(self._o, tab_indents)

    def get_tab_indents(self):
        return _gtkscintilla.gtk_scintilla_get_tab_indents(self._o)

    def set_backspace_unindents(self, bs_unindents):
        _gtkscintilla.gtk_scintilla_set_backspace_unindents(self._o, bs_unindents)

    def get_backspace_unindents(self):
        return _gtkscintilla.gtk_scintilla_get_backspace_unindents(self._o)

    def set_mouse_dwell_time(self, period_milliseconds):
        _gtkscintilla.gtk_scintilla_set_mouse_dwell_time(self._o, period_milliseconds)

    def get_mouse_dwell_time(self):
        return _gtkscintilla.gtk_scintilla_get_mouse_dwell_time(self._o)

    def word_start_position(self, pos):
        return _gtkscintilla.gtk_scintilla_word_start_position(self._o, pos)

    def word_end_position(self, pos):
        return _gtkscintilla.gtk_scintilla_word_end_position(self._o, pos)

    def set_wrap_mode(self, mode):
        _gtkscintilla.gtk_scintilla_set_wrap_mode(self._o, mode)

    def get_wrap_mode(self):
        return _gtkscintilla.gtk_scintilla_get_wrap_mode(self._o)

    def line_down(self):
        _gtkscintilla.gtk_scintilla_line_down(self._o)

    def line_down_extend(self):
        _gtkscintilla.gtk_scintilla_line_down_extend(self._o)

    def line_up(self):
        _gtkscintilla.gtk_scintilla_line_up(self._o)

    def line_up_extend(self):
        _gtkscintilla.gtk_scintilla_line_up_extend(self._o)

    def char_left(self):
        _gtkscintilla.gtk_scintilla_char_left(self._o)

    def char_left_extend(self):
        _gtkscintilla.gtk_scintilla_char_left_extend(self._o)

    def char_right(self):
        _gtkscintilla.gtk_scintilla_char_right(self._o)

    def char_right_extend(self):
        _gtkscintilla.gtk_scintilla_char_right_extend(self._o)

    def word_left(self):
        _gtkscintilla.gtk_scintilla_word_left(self._o)

    def word_left_extend(self):
        _gtkscintilla.gtk_scintilla_word_left_extend(self._o)

    def word_right(self):
        _gtkscintilla.gtk_scintilla_word_right(self._o)

    def word_right_extend(self):
        _gtkscintilla.gtk_scintilla_word_right_extend(self._o)

    def home(self):
        _gtkscintilla.gtk_scintilla_home(self._o)

    def home_extend(self):
        _gtkscintilla.gtk_scintilla_home_extend(self._o)

    def line_end(self):
        _gtkscintilla.gtk_scintilla_line_end(self._o)

    def line_end_extend(self):
        _gtkscintilla.gtk_scintilla_line_end_extend(self._o)

    def document_start(self):
        _gtkscintilla.gtk_scintilla_document_start(self._o)

    def document_start_extend(self):
        _gtkscintilla.gtk_scintilla_document_start_extend(self._o)

    def document_end(self):
        _gtkscintilla.gtk_scintilla_document_end(self._o)

    def document_end_extend(self):
        _gtkscintilla.gtk_scintilla_document_end_extend(self._o)

    def page_up(self):
        _gtkscintilla.gtk_scintilla_page_up(self._o)

    def page_up_extend(self):
        _gtkscintilla.gtk_scintilla_page_up_extend(self._o)

    def page_down(self):
        _gtkscintilla.gtk_scintilla_page_down(self._o)

    def page_down_extend(self):
        _gtkscintilla.gtk_scintilla_page_down_extend(self._o)

    def edit_toggle_overtype(self):
        _gtkscintilla.gtk_scintilla_edit_toggle_overtype(self._o)

    def cancel(self):
        _gtkscintilla.gtk_scintilla_cancel(self._o)

    def delete_back(self):
        _gtkscintilla.gtk_scintilla_delete_back(self._o)

    def tab(self):
        _gtkscintilla.gtk_scintilla_tab(self._o)

    def back_tab(self):
        _gtkscintilla.gtk_scintilla_back_tab(self._o)

    def new_line(self):
        _gtkscintilla.gtk_scintilla_new_line(self._o)

    def form_feed(self):
        _gtkscintilla.gtk_scintilla_form_feed(self._o)

    def v_c_home(self):
        _gtkscintilla.gtk_scintilla_v_c_home(self._o)

    def v_c_home_extend(self):
        _gtkscintilla.gtk_scintilla_v_c_home_extend(self._o)

    def zoom_in(self):
        _gtkscintilla.gtk_scintilla_zoom_in(self._o)

    def zoom_out(self):
        _gtkscintilla.gtk_scintilla_zoom_out(self._o)

    def del_word_left(self):
        _gtkscintilla.gtk_scintilla_del_word_left(self._o)

    def del_word_right(self):
        _gtkscintilla.gtk_scintilla_del_word_right(self._o)

    def line_cut(self):
        _gtkscintilla.gtk_scintilla_line_cut(self._o)

    def line_delete(self):
        _gtkscintilla.gtk_scintilla_line_delete(self._o)

    def line_transpose(self):
        _gtkscintilla.gtk_scintilla_line_transpose(self._o)

    def lower_case(self):
        _gtkscintilla.gtk_scintilla_lower_case(self._o)

    def upper_case(self):
        _gtkscintilla.gtk_scintilla_upper_case(self._o)

    def line_scroll_down(self):
        _gtkscintilla.gtk_scintilla_line_scroll_down(self._o)

    def line_scroll_up(self):
        _gtkscintilla.gtk_scintilla_line_scroll_up(self._o)

    def delete_back_not_line(self):
        _gtkscintilla.gtk_scintilla_delete_back_not_line(self._o)

    def move_caret_inside_view(self):
        _gtkscintilla.gtk_scintilla_move_caret_inside_view(self._o)

    def line_length(self, line):
        return _gtkscintilla.gtk_scintilla_line_length(self._o, line)

    def brace_highlight(self, pos1, pos2):
        _gtkscintilla.gtk_scintilla_brace_highlight(self._o, pos1, pos2)

    def brace_bad_light(self, pos):
        _gtkscintilla.gtk_scintilla_brace_bad_light(self._o, pos)

    def brace_match(self, pos):
        return _gtkscintilla.gtk_scintilla_brace_match(self._o, pos)

    def get_view_eol(self):
        return _gtkscintilla.gtk_scintilla_get_view_eol(self._o)

    def set_view_eol(self, visible):
        _gtkscintilla.gtk_scintilla_set_view_eol(self._o, visible)

    def get_doc_pointer(self):
        return _gtkscintilla.gtk_scintilla_get_doc_pointer(self._o)

    def set_doc_pointer(self, pointer):
        _gtkscintilla.gtk_scintilla_set_doc_pointer(self._o, pointer)

    def set_mod_event_mask(self, mask):
        _gtkscintilla.gtk_scintilla_set_mod_event_mask(self._o, mask)

    def get_edge_column(self):
        return _gtkscintilla.gtk_scintilla_get_edge_column(self._o)

    def set_edge_column(self, column):
        _gtkscintilla.gtk_scintilla_set_edge_column(self._o, column)

    def get_edge_mode(self):
        return _gtkscintilla.gtk_scintilla_get_edge_mode(self._o)

    def set_edge_mode(self, mode):
        _gtkscintilla.gtk_scintilla_set_edge_mode(self._o, mode)

    def get_edge_colour(self):
        return _gtkscintilla.gtk_scintilla_get_edge_colour(self._o)

    def set_edge_colour(self, edge_colour):
        _gtkscintilla.gtk_scintilla_set_edge_colour(self._o, edge_colour)

    def search_anchor(self):
        _gtkscintilla.gtk_scintilla_search_anchor(self._o)

    def search_next(self, flags, text):
        return _gtkscintilla.gtk_scintilla_search_next(self._o, flags, text)

    def search_prev(self, flags, text):
        return _gtkscintilla.gtk_scintilla_search_prev(self._o, flags, text)

    def set_caret_policy(self, caret_policy, caret_slop):
        _gtkscintilla.gtk_scintilla_set_caret_policy(self._o, caret_policy, caret_slop)

    def lines_on_screen(self):
        return _gtkscintilla.gtk_scintilla_lines_on_screen(self._o)

    def use_pop_up(self, allow_pop_up):
        _gtkscintilla.gtk_scintilla_use_pop_up(self._o, allow_pop_up)

    def selection_is_rectangle(self):
        return _gtkscintilla.gtk_scintilla_selection_is_rectangle(self._o)

    def set_zoom(self, zoom):
        _gtkscintilla.gtk_scintilla_set_zoom(self._o, zoom)

    def get_zoom(self):
        return _gtkscintilla.gtk_scintilla_get_zoom(self._o)

    def create_document(self):
        return _gtkscintilla.gtk_scintilla_create_document(self._o)

    def add_ref_document(self, doc):
        _gtkscintilla.gtk_scintilla_add_ref_document(self._o, doc)

    def release_document(self, doc):
        _gtkscintilla.gtk_scintilla_release_document(self._o, doc)

    def get_mod_event_mask(self):
        return _gtkscintilla.gtk_scintilla_get_mod_event_mask(self._o)

    def set_focus(self, focus):
        _gtkscintilla.gtk_scintilla_set_focus(self._o, focus)

    def get_focus(self):
        return _gtkscintilla.gtk_scintilla_get_focus(self._o)

    def set_status(self, status_code):
        _gtkscintilla.gtk_scintilla_set_status(self._o, status_code)

    def get_status(self):
        return _gtkscintilla.gtk_scintilla_get_status(self._o)

    def set_mouse_down_captures(self, captures):
        _gtkscintilla.gtk_scintilla_set_mouse_down_captures(self._o, captures)

    def get_mouse_down_captures(self):
        return _gtkscintilla.gtk_scintilla_get_mouse_down_captures(self._o)

    def set_cursor(self, cursor_type):
        _gtkscintilla.gtk_scintilla_set_cursor(self._o, cursor_type)

    def get_cursor(self):
        return _gtkscintilla.gtk_scintilla_get_cursor(self._o)

    def set_control_char_symbol(self, symbol):
        _gtkscintilla.gtk_scintilla_set_control_char_symbol(self._o, symbol)

    def get_control_char_symbol(self):
        return _gtkscintilla.gtk_scintilla_get_control_char_symbol(self._o)

    def word_part_left(self):
        _gtkscintilla.gtk_scintilla_word_part_left(self._o)

    def word_part_left_extend(self):
        _gtkscintilla.gtk_scintilla_word_part_left_extend(self._o)

    def word_part_right(self):
        _gtkscintilla.gtk_scintilla_word_part_right(self._o)

    def word_part_right_extend(self):
        _gtkscintilla.gtk_scintilla_word_part_right_extend(self._o)

    def set_visible_policy(self, visible_policy, visible_slop):
        _gtkscintilla.gtk_scintilla_set_visible_policy(self._o, visible_policy, visible_slop)

    def del_line_left(self):
        _gtkscintilla.gtk_scintilla_del_line_left(self._o)

    def del_line_right(self):
        _gtkscintilla.gtk_scintilla_del_line_right(self._o)

    def set_x_offset(self, new_offset):
        _gtkscintilla.gtk_scintilla_set_x_offset(self._o, new_offset)

    def get_x_offset(self):
        return _gtkscintilla.gtk_scintilla_get_x_offset(self._o)

    def grab_focus(self):
        _gtkscintilla.gtk_scintilla_grab_focus(self._o)

    def start_record(self):
        _gtkscintilla.gtk_scintilla_start_record(self._o)

    def stop_record(self):
        _gtkscintilla.gtk_scintilla_stop_record(self._o)

    def set_lexer(self, lexer):
        _gtkscintilla.gtk_scintilla_set_lexer(self._o, lexer)

    def get_lexer(self):
        return _gtkscintilla.gtk_scintilla_get_lexer(self._o)

    def colourise(self, start, end):
        _gtkscintilla.gtk_scintilla_colourise(self._o, start, end)

    def set_property(self, key, value):
        _gtkscintilla.gtk_scintilla_set_property(self._o, key, value)

    def set_keywords(self, keyword_set, key_words):
        _gtkscintilla.gtk_scintilla_set_keywords(self._o, keyword_set, key_words)

    def set_lexer_language(self, language):
        _gtkscintilla.gtk_scintilla_set_lexer_language(self._o, language)

_gtk._name2cls['GtkScintilla'] = GtkScintilla
